Index: main/trunk/greenstone2/macros/kazakh.dm
===================================================================
--- main/trunk/greenstone2/macros/kazakh.dm	(revision 28887)
+++ main/trunk/greenstone2/macros/kazakh.dm	(revision 28888)
@@ -52,5 +52,5 @@
 _textdescrpref_ [l=kk] {ÐÐºÐµÐŒÐŽÐµÑ}
 _textdescrlogin_ [l=kk] {ÐÑÑÑ Ð¿Ð°ÑÐ°ÒÑ}
-_textdescrlogout_ [l=kk] {ÐÒ¯Ð¹ÐµÐŽÐµÐœ ÒÐ°Ð»Ð°Ð¹ ÑÑÒÑ  _cgiargun_}
+_textdescrlogout_ [l=kk] {ÐÒ¯Ð¹ÐµÐŽÐµÐœ ÒÐ°Ð»Ð°Ð¹ ÑÑÒÑ  _cgiargunHtmlsafe_}
 
 _textdescrgreenstone_ [l=kk] {Greenstone ÑÐ»ÐµÐºÑÑÐŸÐœÐŽÑÒ ÐºÑÑÐ°Ð¿Ñ
@@ -192,5 +192,5 @@
 _linktextPREFERENCES_ [l=kk] {ÐÐÐÐÐÐÐ£}
 _linktextLOGIN_ [l=kk] {ÐºÑÑÑ}
-_linktextLOGGEDIN_ [l=kk] {(Ð¶Ò¯Ð¹ÐµÐ³Ðµ ÒÐ°Ð»Ð°Ð¹ ÐºÑÑÑ _cgiargun_)}
+_linktextLOGGEDIN_ [l=kk] {(Ð¶Ò¯Ð¹ÐµÐ³Ðµ ÒÐ°Ð»Ð°Ð¹ ÐºÑÑÑ _cgiargunHtmlsafe_)}
 _linktextLOGOUT_ [l=kk] {ÑÑÒÑ}
 
@@ -351,5 +351,5 @@
 # 'No matches for query: querystring', depending on whether or not there were
 # any matches
-_textquerytitle_ [l=kk] {_If_(_thislast_, _cgiargq_ ÑÒ±ÑÐ°ÐœÑÐŒ Ð±ÐŸÐ¹ÑÐœÑÐ° ÑÐ·ÐŽÐµÑÐŽÑÒ£ ÐœÓÑÐžÐ¶ÐµÐ»ÐµÑÑ: _thisfirst_ - _thislast_ , ÑÒ±ÑÐ°ÐœÑÐŒ Ð±ÐŸÐ¹ÑÐœÑÐ°: _cgiargq_ ÐµÑÑÐµÒ£Ðµ ÑÐ°Ð±ÑÐ»ÒÐ°Ðœ Ð¶ÐŸÒ)}
+_textquerytitle_ [l=kk] {_If_(_thislast_, _cgiargqHtmlsafe_ ÑÒ±ÑÐ°ÐœÑÐŒ Ð±ÐŸÐ¹ÑÐœÑÐ° ÑÐ·ÐŽÐµÑÐŽÑÒ£ ÐœÓÑÐžÐ¶ÐµÐ»ÐµÑÑ: _thisfirst_ - _thislast_ , ÑÒ±ÑÐ°ÐœÑÐŒ Ð±ÐŸÐ¹ÑÐœÑÐ°: _cgiargqHtmlsafe_ ÐµÑÑÐµÒ£Ðµ ÑÐ°Ð±ÑÐ»ÒÐ°Ðœ Ð¶ÐŸÒ)}
 _textnoquerytitle_ [l=kk] {ÐÐ·ÐŽÐµÑ Ð¿Ð°ÑÐ°ÒÑ}
 
Index: main/trunk/greenstone2/macros/kazakh2.dm
===================================================================
--- main/trunk/greenstone2/macros/kazakh2.dm	(revision 28887)
+++ main/trunk/greenstone2/macros/kazakh2.dm	(revision 28888)
@@ -132,5 +132,5 @@
 # should have arguments of collection, collectionname and link
 _foundintcontent_ [l=kk] {" _2 _ " Ð¶ÐžÐœÐ°ÒÑÐœÐ° ÑÑÐ»ÑÐµÐŒÐµ
-Ð¡ÑÐ· ÑÐ°Ò£ÐŽÐ°ÒÐ°Ðœ ÑÑÐ»ÑÐµÐŒÐµ " _collectionname _ " Ð¶ÐžÐœÐ°ÒÒÐ° ÑÑÑÑÒÑ Ð±ÐŸÐ»ÑÐ¿ ÑÐ°Ð±ÑÐ»Ð°ÐŽÑ (ÐŸÐ» " _2 _ " Ð¶ÐžÐœÐ°ÒÑÐŒÐµÐœ Ð±Ð°Ð¹Ð»Ð°ÐœÑÑÑÑ). ÐÐ³ÐµÑ ÑÑÐ· ÐŸÑÑ ÑÑÐ»ÑÐµÐŒÐµ Ð°ÑÒÑÐ»Ñ  " _2 _ " Ð¶ÐžÐœÐ°ÒÑÐœÐ° Ó©ÑÐºÑÒ£ÑÐ· ÐºÐµÐ»ÑÐµ, ÐŸÐœÐŽÐ° ÑÑÐ· <a href="_httpdoc_&c=_1_&cl=_cgiargcl_&d=_3_"> Ð°ÑÑ ÒÐ°ÑÐ°Ð¹ ÐŒÑÐœÐ° Ð±ÐµÑÐºÐµ Ó©ÑÑÑÒ£ÑÐ·Ð³Ðµ Ð±ÐŸÐ»Ð°ÐŽÑ </a>; Ð±Ð°ÑÒÐ°ÑÐ° Ð°Ð»ÐŽÑÐœÒÑ ÒÒ±Ð¶Ð°ÑÒÐ° ÐŸÑÐ°Ð»Ñ Ò¯ÑÑÐœ ÑÑÐ·ÐŽÑÒ£ Ð±ÑÐ°ÑÐ·ÐµÑÑÒ£ÑÐ·ÐŽÐµÐ³Ñ "back/Ð°ÑÑÒÐ°" Ð±Ð°ÑÑÑÐŒÐ°ÑÑÐœ ÒÐŸÐ»ÐŽÐ°ÐœÑÒ£ÑÐ·. }
+Ð¡ÑÐ· ÑÐ°Ò£ÐŽÐ°ÒÐ°Ðœ ÑÑÐ»ÑÐµÐŒÐµ " _collectionname _ " Ð¶ÐžÐœÐ°ÒÒÐ° ÑÑÑÑÒÑ Ð±ÐŸÐ»ÑÐ¿ ÑÐ°Ð±ÑÐ»Ð°ÐŽÑ (ÐŸÐ» " _2 _ " Ð¶ÐžÐœÐ°ÒÑÐŒÐµÐœ Ð±Ð°Ð¹Ð»Ð°ÐœÑÑÑÑ). ÐÐ³ÐµÑ ÑÑÐ· ÐŸÑÑ ÑÑÐ»ÑÐµÐŒÐµ Ð°ÑÒÑÐ»Ñ  " _2 _ " Ð¶ÐžÐœÐ°ÒÑÐœÐ° Ó©ÑÐºÑÒ£ÑÐ· ÐºÐµÐ»ÑÐµ, ÐŸÐœÐŽÐ° ÑÑÐ· <a href="_httpdoc_&c=_1_&cl=_cgiargclUrlsafe_&d=_3_"> Ð°ÑÑ ÒÐ°ÑÐ°Ð¹ ÐŒÑÐœÐ° Ð±ÐµÑÐºÐµ Ó©ÑÑÑÒ£ÑÐ·Ð³Ðµ Ð±ÐŸÐ»Ð°ÐŽÑ </a>; Ð±Ð°ÑÒÐ°ÑÐ° Ð°Ð»ÐŽÑÐœÒÑ ÒÒ±Ð¶Ð°ÑÒÐ° ÐŸÑÐ°Ð»Ñ Ò¯ÑÑÐœ ÑÑÐ·ÐŽÑÒ£ Ð±ÑÐ°ÑÐ·ÐµÑÑÒ£ÑÐ·ÐŽÐµÐ³Ñ "back/Ð°ÑÑÒÐ°" Ð±Ð°ÑÑÑÐŒÐ°ÑÑÐœ ÒÐŸÐ»ÐŽÐ°ÐœÑÒ£ÑÐ·. }
 
 
@@ -151,5 +151,5 @@
 _textpassword_ [l=kk] {ÐÐ°ÑÐŸÐ»Ñ}
 
-_textmustbelongtogroup_ [l=kk] {ÐÐ°Ð·Ð°Ñ Ð°ÑÐŽÐ°ÑÑÒ£ÑÐ·, Ð±Ò±Ð» Ð¿Ð°ÑÐ°ÒÒÐ° ÐºÑÑÑ Ò¯ÑÑÐœ Ð¡ÑÐ· "_cgiargug_" ÑÐŸÐ±ÑÐœÐ° Ð¶Ð°ÑÑÑÒ£ÑÐ· ÒÐ°Ð¶ÐµÑ.}
+_textmustbelongtogroup_ [l=kk] {ÐÐ°Ð·Ð°Ñ Ð°ÑÐŽÐ°ÑÑÒ£ÑÐ·, Ð±Ò±Ð» Ð¿Ð°ÑÐ°ÒÒÐ° ÐºÑÑÑ Ò¯ÑÑÐœ Ð¡ÑÐ· "_cgiargugHtmlsafe_" ÑÐŸÐ±ÑÐœÐ° Ð¶Ð°ÑÑÑÒ£ÑÐ· ÒÐ°Ð¶ÐµÑ.}
 
 _textmessageinvalid_ [l=kk] {Ð¡ÑÐ· ÑÒ±ÑÐ°ÒÐ°Ðœ Ð¿Ð°ÑÐ°Ò Ð°Ð²ÑÐŸÑÐžÐ·Ð°ÑÐžÑÐ»Ð°ÑÐŽÑ ÑÐ°Ð»Ð°Ð¿ ÐµÑÐµÐŽÑ.
@@ -368,17 +368,17 @@
 _textretcoll_ [l=kk] {ÐÐŸÐ»Ð»ÐµÐºÑÐŸÑÒÐ° ÐŸÑÐ°Ð»Ñ}
 
-_textdelperm_ [l=kk] {<p> ÐÐµÐ¹Ð±ÑÑ Ð±Ó©Ð»ÑÐºÑÐµÑ ÐœÐµÐŒÐµÑÐµ Ð±Ð°ÑÐ»ÑÒ _cgiargbc1dirname_ ÐÐžÐœÐ°ÒÑ Ð¶ÐŸÐ¹ÑÐ»Ð° Ð°Ð»ÐŒÐ°ÐŽÑ. ÐÒ¯ÐŒÐºÑÐœ ÑÐµÐ±ÐµÐ¿ÑÐµÑÑ:
+_textdelperm_ [l=kk] {<p> ÐÐµÐ¹Ð±ÑÑ Ð±Ó©Ð»ÑÐºÑÐµÑ ÐœÐµÐŒÐµÑÐµ Ð±Ð°ÑÐ»ÑÒ _cgiargbc1dirnameHtmlsafe_ ÐÐžÐœÐ°ÒÑ Ð¶ÐŸÐ¹ÑÐ»Ð° Ð°Ð»ÐŒÐ°ÐŽÑ. ÐÒ¯ÐŒÐºÑÐœ ÑÐµÐ±ÐµÐ¿ÑÐµÑÑ:
 <ul>
-<li> Greenstone-ÐœÑÒ£ gsdlhome_/collect/_cgiargbc1dirname_ ÐŽÐžÑÐµÐºÑÐŸÑÐžÐ¹ÑÐœ Ð¶ÐŸÑÒÐ° ÑÒ±ÒÑÐ°Ñ Ð¶ÐŸÒ.
+<li> Greenstone-ÐœÑÒ£ gsdlhome_/collect/_cgiargbc1dirnameHtmlsafe_ ÐŽÐžÑÐµÐºÑÐŸÑÐžÐ¹ÑÐœ Ð¶ÐŸÑÒÐ° ÑÒ±ÒÑÐ°Ñ Ð¶ÐŸÒ.
 <br> ÐÒ±Ð» ÐºÐ°ÑÐ°Ð»ÐŸÐ³ÑÑ Ó©Ð·ÑÒ£ÑÐ·ÐŽÑÒ£ ÐºÐŸÐŒÐ¿ÑÑÑÐµÑÑÒ£ÑÐ·ÐŽÐµÐœ ÒÐŸÐ»ÐŒÐµÐœ Ð¶Ð°ÑÐ°Ñ ÑÐµÐ¶ÐžÐŒÑÐœÐŽÐµ Ð¶ÐŸÐ¹ÑÐ¿ ÐºÓ©ÑÑÒ£ÑÐ·. }
 
-_textdelinv_ [l=kk] {_cgiargbc1dirname_  ÐÐžÐœÐ°ÒÑ ÒÐŸÑÒÐ°Ð»ÒÐ°Ðœ ÐœÐµÐŒÐµÑÐµ Ð·Ð°ÒÑÐŒÐŽÐ°ÐœÒÐ°Ðœ. ÐÐŸÑ Ò¯ÑÐŽÑÑÑÐœÐµÐœ Ð±Ð°Ñ ÑÐ°ÑÑÑÐ»ÐŽÑ.}
-
-_textdelsuc_ [l=kk] {_cgiargbc1dirname_  ÐÐžÐœÐ°ÒÑ ÑÓÑÑÑ Ð¶ÐŸÐ¹ÑÐ»ÐŽÑ.}
-
-_textclonefail_ [l=kk] {_cgiargclonecol_  ÐÐžÐœÐ°Ò ÐŽÑÐ±Ð»ÐžÐºÐ°ÑÑÐœ Ð¶Ð°ÑÐ°Ñ ÐŒÒ¯ÐŒÐºÑÐœ ÐµÐŒÐµÑ. ÐÒ±ÐœÑÒ£ ÐŒÒ¯ÐŒÐºÑÐœ ÑÐµÐ±ÐµÐ¿ÑÐµÑÑ:
+_textdelinv_ [l=kk] {_cgiargbc1dirnameHtmlsafe_  ÐÐžÐœÐ°ÒÑ ÒÐŸÑÒÐ°Ð»ÒÐ°Ðœ ÐœÐµÐŒÐµÑÐµ Ð·Ð°ÒÑÐŒÐŽÐ°ÐœÒÐ°Ðœ. ÐÐŸÑ Ò¯ÑÐŽÑÑÑÐœÐµÐœ Ð±Ð°Ñ ÑÐ°ÑÑÑÐ»ÐŽÑ.}
+
+_textdelsuc_ [l=kk] {_cgiargbc1dirnameHtmlsafe_  ÐÐžÐœÐ°ÒÑ ÑÓÑÑÑ Ð¶ÐŸÐ¹ÑÐ»ÐŽÑ.}
+
+_textclonefail_ [l=kk] {_cgiargclonecolHtmlsafe_  ÐÐžÐœÐ°Ò ÐŽÑÐ±Ð»ÐžÐºÐ°ÑÑÐœ Ð¶Ð°ÑÐ°Ñ ÐŒÒ¯ÐŒÐºÑÐœ ÐµÐŒÐµÑ. ÐÒ±ÐœÑÒ£ ÐŒÒ¯ÐŒÐºÑÐœ ÑÐµÐ±ÐµÐ¿ÑÐµÑÑ:
 <ul>
-<li> _cgiargclonecol_  Ð¶ÐžÐœÐ°ÒÑÑÒ£ Ð¶ÐŸÒÑÑÒÑ
-<li> _cgiargclonecol_ Ð¶ÐžÐœÐ°ÒÑÑÒ£ collect.cfg ÐºÐŸÐœÑÐžÐ³ÑÑÐ°ÑÐžÑÐ»ÑÒ ÑÐ°Ð¹Ð»ÐŽÑÒ£ Ð¶ÐŸÒÑÑÒÑ
+<li> _cgiargclonecolHtmlsafe_  Ð¶ÐžÐœÐ°ÒÑÑÒ£ Ð¶ÐŸÒÑÑÒÑ
+<li> _cgiargclonecolHtmlsafe_ Ð¶ÐžÐœÐ°ÒÑÑÒ£ collect.cfg ÐºÐŸÐœÑÐžÐ³ÑÑÐ°ÑÐžÑÐ»ÑÒ ÑÐ°Ð¹Ð»ÐŽÑÒ£ Ð¶ÐŸÒÑÑÒÑ
 <li> Greenstone-ÐœÑÒ£ collect.cfg ÐºÐŸÐœÑÐžÐ³ÑÑÐ°ÑÐžÑÐ»ÑÒ ÑÐ°Ð¹Ð»ÐŽÑ ÐŸÒÑ ÑÒ±ÒÑÐ°ÑÑÐœÑÒ£ Ð¶ÐŸÒÑÑÒÑ</ul>}
 
@@ -401,7 +401,7 @@
 _textreloaderror_ [l=kk] {ÐÐ°Ò£Ð° ÐÐžÐœÐ°ÒÑÑ Ð¶Ð°ÑÐ°Ñ Ð±Ð°ÑÑÑÑÐœÐŽÐ° ÒÐ°ÑÐµ Ð¿Ð°Ð¹ÐŽÐ° Ð±ÐŸÐ»ÐŽÑ. ÐÒ±Ð» Ð±ÑÐ°ÑÐ·ÐµÑÑÒ£ÑÐ·ÐŽÑÒ£ "reload/ÒÐ°Ð¹ÑÐ°Ð¶Ò¯ÐºÑÐµÑ" Ð¶ÓÐœÐµ "back/Ð°ÑÑÒÐ°" Ð±Ð°ÑÑÑÐŒÐ°Ð»Ð°ÑÑÐœ ÒÐ°ÑÐµ Ð±Ð°ÑÑÐŽÐ°Ðœ Ð±ÐŸÐ»ÑÑ ÐŒÒ¯ÐŒÐºÑÐœ (ÐÑÑ Ð±Ð°ÑÑÑÐŒÐ°Ð»Ð°ÑÐŽÑ ÐºÐŸÐ»Ð»ÐµÐºÑÐŸÑ ÐºÓ©ÐŒÐµÐ³ÑÐŒÐµÐœ ÐÐžÐœÐ°ÒÑÐ°Ñ Ð¶Ð°ÑÐ°ÒÐ°ÐœÐŽÐ° Ð¿Ð°Ð¹ÐŽÐ°Ð»Ð°ÐœÐ±Ð°ÑÒÐ° ÑÑÑÑÑÑÒ£ÑÐ·). ÐÐŸÐ»Ð»ÐµÐºÑÐŸÑ ÒÐ°Ð¹ÑÐ° Ð¶ÑÐ±ÐµÑÑÐ»ÑÑ Ð¶Ó©Ðœ.}
 
-_textexptsuc_ [l=kk] {_cgiargbc1dirname_ ÐÐžÐœÐ°ÒÑ _gsdlhome_/tmp/exported\__cgiargbc1dirname_ ÐŽÐžÑÐµÐºÑÐŸÑÐžÑÑÑÐœÐ° ÑÓÑÑÑ ÐµÐœÐ³ÑÐ·ÑÐ»ÐŽÑ.}
-
-_textexptfail_ [l=kk] {ÐÐžÐœÐ°ÒÑÑ ÑÐºÑÐ¿ÐŸÑÑÑÐ°ÑÐŽÐ° Ð¶Ð°Ò£ÑÐ»Ñ_cgiargbc1dirname_. 
+_textexptsuc_ [l=kk] {_cgiargbc1dirnameHtmlsafe_ ÐÐžÐœÐ°ÒÑ _gsdlhome_/tmp/exported\__cgiargbc1dirnameHtmlsafe_ ÐŽÐžÑÐµÐºÑÐŸÑÐžÑÑÑÐœÐ° ÑÓÑÑÑ ÐµÐœÐ³ÑÐ·ÑÐ»ÐŽÑ.}
+
+_textexptfail_ [l=kk] {ÐÐžÐœÐ°ÒÑÑ ÑÐºÑÐ¿ÐŸÑÑÑÐ°ÑÐŽÐ° Ð¶Ð°Ò£ÑÐ»Ñ_cgiargbc1dirnameHtmlsafe_. 
 ÐÒ±Ð»  "ÐÐžÐœÐ°ÒÑÑ ÑÐºÑÐ¿ÐŸÑÑÑÐ°Ñ" ÑÑÐœÐºÑÐžÑÑÑÐœ ÒÐŸÐ»ÐŽÐ°ÑÐŽÑÒ£ ÒÐ°Ð¶ÐµÑÑÑ ÐºÐŸÐŒÐ¿ÐŸÐœÐµÐœÑÑÐµÑÑÑÑÐ· Greenstone ÐŸÑÐœÐ°ÑÑÐ»ÒÐ°ÐœÐŽÑÒÑÐ°Ðœ Ð±ÐŸÐ»ÑÑ ÐŒÒ¯ÐŒÐºÑÐœ. 
 <ul>
@@ -568,5 +568,5 @@
 
 _textdeleteuser_ [l=kk] {ÒÐŸÐ»ÐŽÐ°ÐœÑÑÑÐœÑ Ð°Ð»ÑÐ¿ ÑÐ°ÑÑÐ°Ñ}
-_textremwarn_ [l=kk] {Ð¡ÑÐ· ÑÑÐœÑÐŒÐµÐœÐµÐœ ÒÐŸÐ»ÐŽÐ°ÐœÑÑÑ _cgiargumun_ ÐŽÑ ÑÒ¯Ð¿ÐºÑÐ»ÑÐºÑÑ Ð°Ð»ÑÐ¿ ÑÐ°ÑÑÐ°Ð¹ÑÑÐ· Ð±Ð°?}
+_textremwarn_ [l=kk] {Ð¡ÑÐ· ÑÑÐœÑÐŒÐµÐœÐµÐœ ÒÐŸÐ»ÐŽÐ°ÐœÑÑÑ _cgiargumunHtmlsafe_ ÐŽÑ ÑÒ¯Ð¿ÐºÑÐ»ÑÐºÑÑ Ð°Ð»ÑÐ¿ ÑÐ°ÑÑÐ°Ð¹ÑÑÐ· Ð±Ð°?}
 
 
Index: main/trunk/greenstone2/macros/kirghiz.dm
===================================================================
--- main/trunk/greenstone2/macros/kirghiz.dm	(revision 28887)
+++ main/trunk/greenstone2/macros/kirghiz.dm	(revision 28888)
@@ -268,5 +268,5 @@
 # 'No matches for query: querystring', depending on whether or not there were
 # any matches
-_textquerytitle_ [l=ky] {_If_(_thislast_, ÐœÐ°ÑÑÐ¹Ð¶Ð°Ð»Ð°ÑÑ _thisfirst_ - _thislast_ ÑÑÑÐŸÐŸ Ð±ÐŸÑÐœÑÐ° ÐžÐ·ÐŽÓ©Ó©: _cgiargq_,ÑÑÑÐŸÐŸ Ð±ÐŸÑÐœÑÐ° ÑÐ»Ð³ÐŸÐŸÐ»ÐŸÑ Ð¶ÐŸÐº _cgiargq_)}
+_textquerytitle_ [l=ky] {_If_(_thislast_, ÐœÐ°ÑÑÐ¹Ð¶Ð°Ð»Ð°ÑÑ _thisfirst_ - _thislast_ ÑÑÑÐŸÐŸ Ð±ÐŸÑÐœÑÐ° ÐžÐ·ÐŽÓ©Ó©: _cgiargqHtmlsafe_,ÑÑÑÐŸÐŸ Ð±ÐŸÑÐœÑÐ° ÑÐ»Ð³ÐŸÐŸÐ»ÐŸÑ Ð¶ÐŸÐº _cgiargqHtmlsafe_)}
 _textnoquerytitle_ [l=ky] {ÐÐµÑÑÐž ÐžÐ·ÐŽÓ©Ó©}
 
Index: main/trunk/greenstone2/macros/laotian.dm
===================================================================
--- main/trunk/greenstone2/macros/laotian.dm	(revision 28887)
+++ main/trunk/greenstone2/macros/laotian.dm	(revision 28888)
@@ -346,5 +346,5 @@
 # 'No matches for query: querystring', depending on whether or not there were
 # any matches
-_textquerytitle_ [l=lo] {"_If_(_thislast_,results _thisfirst_ - _thislast_àºªàº³àº«àº¥àº±àºàºàº³àºàº»à»àº: _cgiargq_,àºà»à»àºàº»àºàºàº±àºàºàº³àºàºµà»àºà»àº²àºàºàº»à»àºàº«àº² : _cgiargq_)"}  
+_textquerytitle_ [l=lo] {"_If_(_thislast_,results _thisfirst_ - _thislast_àºªàº³àº«àº¥àº±àºàºàº³àºàº»à»àº: _cgiargqHtmlsafe_,àºà»à»àºàº»àºàºàº±àºàºàº³àºàºµà»àºà»àº²àºàºàº»à»àºàº«àº² : _cgiargqHtmlsafe_)"}  
 _textnoquerytitle_ [l=lo] {àº«àºà»àº²àºàºµà»àºàº»à»àºàº«àº² 	}  
 
Index: main/trunk/greenstone2/macros/latvian.dm
===================================================================
--- main/trunk/greenstone2/macros/latvian.dm	(revision 28887)
+++ main/trunk/greenstone2/macros/latvian.dm	(revision 28888)
@@ -323,5 +323,5 @@
 # 'No matches for query: querystring', depending on whether or not there were
 # any matches
-_textquerytitle_ [l=lv] {_If_(_thislast_,rezultÄti _thisfirst_ - _thislast_ priekÅ¡ pieprasÄ«juma: _cgiargq_,Nav rezultÄtu priekÅ¡ pieprasÄ«juma: _cgiargq_)}
+_textquerytitle_ [l=lv] {_If_(_thislast_,rezultÄti _thisfirst_ - _thislast_ priekÅ¡ pieprasÄ«juma: _cgiargqHtmlsafe_,Nav rezultÄtu priekÅ¡ pieprasÄ«juma: _cgiargqHtmlsafe_)}
 _textnoquerytitle_ [l=lv] {MeklÄÅ¡anas lapa}
 
Index: main/trunk/greenstone2/macros/latvian2.dm
===================================================================
--- main/trunk/greenstone2/macros/latvian2.dm	(revision 28887)
+++ main/trunk/greenstone2/macros/latvian2.dm	(revision 28888)
@@ -158,5 +158,5 @@
     kolekciju (tÄ saista uz "_2_" kolekciju).
     Ja jÅ«s vÄlÄties skatÄ«t Å¡o saiti  "_2_" kolekcijÄ, jÅ«s varat 
-    <a href="_httpdoc_&c=_1_&cl=_cgiargcl_&d=_3_">tikt tÄlÄk</a> uz Å¡o lapu; 
+    <a href="_httpdoc_&c=_1_&cl=_cgiargclUrlsafe_&d=_3_">tikt tÄlÄk</a> uz Å¡o lapu; 
     pretÄjÄ gadÄ«jumÄ izmantojiet jÅ«su pÄrlÅ«ka "atpakaÄŒ" pogu, lai atgrieztos uz iepriekÅ¡Äjo dokumentu.
 }
@@ -178,5 +178,5 @@
 _textpassword_ [l=lv] {parole}
 
-_textmustbelongtogroup_ [l=lv] {IevÄrojiet, ka jums jÄpieder "_cgiargug_" grupai, lai piekÄŒÅ«tu Å¡ai lapai}
+_textmustbelongtogroup_ [l=lv] {IevÄrojiet, ka jums jÄpieder "_cgiargugHtmlsafe_" grupai, lai piekÄŒÅ«tu Å¡ai lapai}
 
 _textmessageinvalid_ [l=lv] {JÅ«su prasÄ«tÄ lapa pieprasa jÅ«su pierakstÄ«Å¡anos.<br>
@@ -460,5 +460,5 @@
 _textbildsuc_ [l=lv] {Kolekcija izveidota sekmÄ«gi.}
 
-_textviewbildsummary_ [l=lv] {JÅ«s varat <a href="_httppagex_(bsummary)&c=_cgiargbc1dirname_" target=_top>skatÄ«t kolekcijas veidoÅ¡anas
+_textviewbildsummary_ [l=lv] {JÅ«s varat <a href="_httppagex_(bsummary)&c=_cgiargbc1dirnameUrlsafe_" target=_top>skatÄ«t kolekcijas veidoÅ¡anas
 pÄrskatu</a> papildus informÄcijai.
 }
@@ -481,10 +481,10 @@
 _textretcoll_ [l=lv] {Atgriezties uz kolektoru}
 
-_textdelperm_ [l=lv] {DaÄŒa vai visa _cgiargbc1dirname_ kolekcija nevar tikt izdzÄsta.
+_textdelperm_ [l=lv] {DaÄŒa vai visa _cgiargbc1dirnameHtmlsafe_ kolekcija nevar tikt izdzÄsta.
 IespÄjami cÄloÅi ir:
 <ul>
-<li> Greenstone nav atÄŒaujas izdzÄst _gsdlhome_/collect/_cgiargbc1dirname_
+<li> Greenstone nav atÄŒaujas izdzÄst _gsdlhome_/collect/_cgiargbc1dirnameHtmlsafe_
 direktoriju.<br>
-JÅ«s varat mÄÄ£inÄt izdzÄst Å¡o direktoriju manuÄli, lai pabeigtu kolekcijas _cgiargbc1dirname_
+JÅ«s varat mÄÄ£inÄt izdzÄst Å¡o direktoriju manuÄli, lai pabeigtu kolekcijas _cgiargbc1dirnameHtmlsafe_
 izdzÄÅ¡anu no jÅ«su datora.</li>
 <li>Greenstone nevar palaist programmu _gsdlhome_/bin/script/delcol.pl . PÄrliecinieties,
@@ -493,13 +493,13 @@
 }
 
-_textdelinv_ [l=lv] {_cgiargbc1dirname_ kolekcija ir aizsargÄta vai bojÄta. IzdzÄÅ¡ana bija atcelta.
-}
-
-_textdelsuc_ [l=lv] {_cgiargbc1dirname_ kolekcija bija sekmÄ«gi izdzÄsta.}
-
-_textclonefail_ [l=lv] {_cgiargclonecol_ kolekcija nevar tikt klonÄta. IespÄjamie cÄloÅi:
+_textdelinv_ [l=lv] {_cgiargbc1dirnameHtmlsafe_ kolekcija ir aizsargÄta vai bojÄta. IzdzÄÅ¡ana bija atcelta.
+}
+
+_textdelsuc_ [l=lv] {_cgiargbc1dirnameHtmlsafe_ kolekcija bija sekmÄ«gi izdzÄsta.}
+
+_textclonefail_ [l=lv] {_cgiargclonecolHtmlsafe_ kolekcija nevar tikt klonÄta. IespÄjamie cÄloÅi:
 <ul>
-<li> _cgiargclonecol_ kolekcija neeksistÄ
-<li> _cgiargclonecol_ kolekcijai nav collect.cfg konfigurÄcijas datnes
+<li> _cgiargclonecolHtmlsafe_ kolekcija neeksistÄ
+<li> _cgiargclonecolHtmlsafe_ kolekcijai nav collect.cfg konfigurÄcijas datnes
 <li> Greenstone nav atÄŒaujas lasÄ«t collect.cnf konfigurÄcijas datni.
 </ul>
@@ -536,9 +536,9 @@
 }
 
-_textexptsuc_ [l=lv] {_cgiargbc1dirname_ kolekcija tika sekmÄ«gi eksportÄta uz
-_gsdlhome_/tmp/exported\__cgiargbc1dirname_ direktoriju.
-}
-
-_textexptfail_ [l=lv] {<p>Neizdodas eksportÄt _cgiargbc1dirname_ kolekciju.
+_textexptsuc_ [l=lv] {_cgiargbc1dirnameHtmlsafe_ kolekcija tika sekmÄ«gi eksportÄta uz
+_gsdlhome_/tmp/exported\__cgiargbc1dirnameHtmlsafe_ direktoriju.
+}
+
+_textexptfail_ [l=lv] {<p>Neizdodas eksportÄt _cgiargbc1dirnameHtmlsafe_ kolekciju.
 
 <p>Tas varÄtu bÅ«t, ja Greenstone bija uzstÄdÄ«ts bez nepiecieÅ¡amiem
@@ -734,5 +734,5 @@
 
 _textdeleteuser_ [l=lv] {IzdzÄst lietotÄju}
-_textremwarn_ [l=lv] {Vai jÅ«s patiesi vÄlaties pavisam izdzÄst lietotÄju <b>_cgiargumun_</b>?}
+_textremwarn_ [l=lv] {Vai jÅ«s patiesi vÄlaties pavisam izdzÄst lietotÄju <b>_cgiargumunHtmlsafe_</b>?}
 
 
Index: main/trunk/greenstone2/macros/malayalam.dm
===================================================================
--- main/trunk/greenstone2/macros/malayalam.dm	(revision 28887)
+++ main/trunk/greenstone2/macros/malayalam.dm	(revision 28888)
@@ -345,5 +345,5 @@
 # 'No matches for query: querystring', depending on whether or not there were
 # any matches
-_textquerytitle_ [l=ml] {_If_(_thislast_,results _thisfirst_ - _thislast_ for query: _cgiargq_,No matches for query: _cgiargq_)}  
+_textquerytitle_ [l=ml] {_If_(_thislast_,results _thisfirst_ - _thislast_ for query: _cgiargqHtmlsafe_,No matches for query: _cgiargqHtmlsafe_)}  
 _textnoquerytitle_ [l=ml] {àŽ€àµàŽ°àŽ¯àµàŽ }
 
Index: main/trunk/greenstone2/macros/malayalam2.dm
===================================================================
--- main/trunk/greenstone2/macros/malayalam2.dm	(revision 28887)
+++ main/trunk/greenstone2/macros/malayalam2.dm	(revision 28888)
@@ -119,5 +119,5 @@
      collection (it links to the "_2_" collection). 
     àŽàŽ€àµ àŽàŽŸàŽ£àŽ£àŽ®àµàŽàµàŽàŽ¿ e "_2_" collection àŽàŽªàŽ¯àµàŽàŽ¿àŽàµàŽàµ  
-     <a href="_httpdoc_&c=_1_&cl=_cgiargcl_&d=_3_">àŽ®àµàŽšàµàŽšàµàŽàµàŽàµ àŽªàµàŽµàµàŽàµ</a>   
+     <a href="_httpdoc_&c=_1_&cl=_cgiargclUrlsafe_&d=_3_">àŽ®àµàŽšàµàŽšàµàŽàµàŽàµ àŽªàµàŽµàµàŽàµ</a>   
      àŽ
 àŽ²àµàŽ²àµàŽàµàŽàŽ¿  "back" àŽ¬àŽàµàŽ àŽàŽªàŽ¯àµàŽàŽ¿àŽàµàŽàµ àŽªàŽŽàŽ¯àŽ€àŽ¿àŽ²àµàŽàµàŽàµ àŽ®àŽàŽàµàŽàµàŽàµ}  
@@ -140,5 +140,5 @@
 àŽàŽ¯àŽŸàŽ³àŽªàŽŠàŽ}  
 
-_textmustbelongtogroup_ [l=ml] {àŽ àŽªàµàŽàŽ¿àŽ²àµàŽàµàŽàµàŽ³àµàŽ³ àŽžàŽšàµàŽŠàŽ°àµàŽ¶àŽŸàŽšàµàŽ®àŽ€àŽ¿ '-cgiargug-' àŽàµàŽàµàŽàŽ€àµàŽ€àŽ¿àŽ²àµ àŽªàµàŽàµàŽàŽµàŽ°àµàŽàµàŽàµàŽ®àŽŸàŽ€àµàŽ°àŽ}  
+_textmustbelongtogroup_ [l=ml] {àŽ àŽªàµàŽàŽ¿àŽ²àµàŽàµàŽàµàŽ³àµàŽ³ àŽžàŽšàµàŽŠàŽ°àµàŽ¶àŽŸàŽšàµàŽ®àŽ€àŽ¿ '_cgiargugHtmlsafe_' àŽàµàŽàµàŽàŽ€àµàŽ€àŽ¿àŽ²àµ àŽªàµàŽàµàŽàŽµàŽ°àµàŽàµàŽàµàŽ®àŽŸàŽ€àµàŽ°àŽ}  
 
 _textmessageinvalid_ [l=ml] {àŽ€àŽŸàŽàµàŽàŽ³àµ  àŽàŽµàŽ¶àµàŽ¯àŽªàµàŽªàµàŽàµàŽ àŽªàµàŽàµàŽ²àŽ­àŽ¿àŽàµàŽàµàŽµàŽŸàŽšàµ àŽžàµàŽšàµ àŽàŽ£àµ àŽàµàŽ¯àµàŽ¯àµàŽ 
@@ -402,20 +402,20 @@
 _textretcoll_ [l=ml] {àŽàŽ³àŽàµàŽàŽ±àŽ¿àŽ²àµàŽàµàŽàµ àŽ®àŽàŽàµàŽàŽ¿àŽµàŽ°àŽ¿àŽ}  
 
-_textdelperm_ [l=ml] {_cgiargbc1dirname_ àŽ¶àµàŽàŽ°àŽàµàŽàŽ³àŽ¿àŽ²àµ àŽàŽ¿àŽ²àŽ€àµ àŽàŽ²àµàŽ²àŽŸàŽ®àµ àŽšàµàŽàµàŽàŽ àŽàµàŽ¯àµàŽ¯àŽŸàŽšàµ àŽàŽŽàŽ¿àŽ¯àµàŽšàµàŽšàŽ¿àŽ²àµàŽ². àŽžàŽŸàŽŠàµàŽ§àµàŽ¯àŽ®àŽŸàŽ¯ àŽàŽŸàŽ°àŽ£àŽàµàŽàŽ³àµ <ul> 
-<li> _gsdlhome_/collect/_cgiargbc1dirname_àŽ¡àŽ¯àŽ±àŽàµàŽàŽ±àŽ¿ àŽšàµàŽàµàŽàŽ àŽàµàŽ¯àµàŽ¯àŽŸàŽšàµ àŽàµàŽ°àµàŽšàµàŽžàµàŽ±àµàŽ±àµàŽ£àŽ¿àŽšàµ àŽ
+_textdelperm_ [l=ml] {_cgiargbc1dirnameHtmlsafe_ àŽ¶àµàŽàŽ°àŽàµàŽàŽ³àŽ¿àŽ²àµ àŽàŽ¿àŽ²àŽ€àµ àŽàŽ²àµàŽ²àŽŸàŽ®àµ àŽšàµàŽàµàŽàŽ àŽàµàŽ¯àµàŽ¯àŽŸàŽšàµ àŽàŽŽàŽ¿àŽ¯àµàŽšàµàŽšàŽ¿àŽ²àµàŽ². àŽžàŽŸàŽŠàµàŽ§àµàŽ¯àŽ®àŽŸàŽ¯ àŽàŽŸàŽ°àŽ£àŽàµàŽàŽ³àµ <ul> 
+<li> _gsdlhome_/collect/_cgiargbc1dirnameHtmlsafe_àŽ¡àŽ¯àŽ±àŽàµàŽàŽ±àŽ¿ àŽšàµàŽàµàŽàŽ àŽàµàŽ¯àµàŽ¯àŽŸàŽšàµ àŽàµàŽ°àµàŽšàµàŽžàµàŽ±àµàŽ±àµàŽ£àŽ¿àŽšàµ àŽ
 àŽšàµàŽ®àŽ€àŽ¿àŽ¯àŽ¿àŽ²àµàŽ²<br> 
-àŽ¡àŽ¯àŽ±àŽàµàŽàŽ±àŽ¿ àŽàŽšàµàŽšàµàŽšàµàŽšàŽŸàŽ¯àŽ¿ àŽšàµàŽàµàŽàŽàŽàµàŽ¯àµàŽ€àŽŸàŽ²àµ àŽ®àŽŸàŽ€àµàŽ°àŽ®àµ àŽžàŽ®àµàŽªàµàŽ°àµàŽ£àŽ®àŽŸàŽ¯ _cgiargbc1dirname_àŽšàµàŽàµàŽàŽàŽàµàŽ¯àµàŽ¯àŽ²àµ àŽµàŽ¿àŽàŽ¯àŽ¿àŽàµàŽàµàŽàŽ¯àµàŽ³àµàŽ³àµ 
+àŽ¡àŽ¯àŽ±àŽàµàŽàŽ±àŽ¿ àŽàŽšàµàŽšàµàŽšàµàŽšàŽŸàŽ¯àŽ¿ àŽšàµàŽàµàŽàŽàŽàµàŽ¯àµàŽ€àŽŸàŽ²àµ àŽ®àŽŸàŽ€àµàŽ°àŽ®àµ àŽžàŽ®àµàŽªàµàŽ°àµàŽ£àŽ®àŽŸàŽ¯ _cgiargbc1dirnameHtmlsafe_àŽšàµàŽàµàŽàŽàŽàµàŽ¯àµàŽ¯àŽ²àµ àŽµàŽ¿àŽàŽ¯àŽ¿àŽàµàŽàµàŽàŽ¯àµàŽ³àµàŽ³àµ 
 àŽàµàŽ°àµàŽšàµàŽžàµàŽ±àµàŽ±àµàŽ£àŽ¿àŽšàµ _gsdlhome_/bin/script/delcol.pl.àŽªàµàŽ°àµàŽŸàŽàµàŽ°àŽŸàŽ àŽªàµàŽ°àŽµàŽ°àµàŽ€àµàŽ€àŽ¿àŽªàµàŽªàŽ¿àŽàµàŽàŽŸàŽšàµ àŽàŽŽàŽ¿àŽ¯àµàŽàŽ¯àŽ¿àŽ²àµàŽ². àŽ àŽ«àŽ¯àŽ²àµ àŽµàŽŸàŽ¯àŽ¿àŽàµàŽàŽŸàŽµàµàŽšàµàŽšàŽ€àµàŽ àŽªàµàŽ°àŽµàŽ°àµàŽ€àµàŽ€àŽšàŽ¯àµàŽàµàŽ¯àŽ®àŽŸàŽàµàŽàŽŸàŽµàµàŽšàµàŽšàŽ€àŽŸàŽ£àµ àŽàŽšàµàŽšàµàŽ àŽªàŽ°àŽ¿àŽ¶àµàŽ§àŽ¿àŽàµàŽàµàŽ</li> 
 </ul>}  
 
-_textdelinv_ [l=ml] {_cgiargbc1dirname_àŽ¶àµàŽàŽ°àŽ àŽžàŽàŽ°àŽàµàŽ·àŽ¿àŽàµàŽàŽªàµàŽªàµàŽàµàŽàŽ€àµ àŽŠàµàŽ°àµàŽ¬àŽ²àŽ®àŽŸàŽàµàŽàŽªàµàŽªàµàŽàµàŽàŽ€àµ àŽàŽ£àµ. àŽšàµàŽàµàŽàŽàŽàµàŽ¯àµàŽ¯àŽ²àµ àŽ±àŽŠàµàŽŠàµàŽàµàŽ¯àµàŽ¯àµàŽšàµàŽšàµ}  
-
-_textdelsuc_ [l=ml] {_cgiargbc1dirname_àŽ¶àµàŽàŽ°àŽ àŽµàŽ¿àŽàŽ¯àŽàŽ°àŽ®àŽŸàŽ¯àŽ¿ àŽšàµàŽàµàŽàŽ àŽàµàŽ¯àµâàŽ€àµ}  
-
-_textclonefail_ [l=ml] {àŽªàµàŽ€àŽ¿àŽ¯ _cgiargclonecol_ àŽ¶àµàŽàŽ°àŽ àŽàµàŽ²àµàŽ£àµ àŽàµàŽ¯àµàŽ¯àŽŸàŽšàµ àŽàŽŽàŽ¿àŽàµàŽàŽ¿àŽ²àµàŽ².  
+_textdelinv_ [l=ml] {_cgiargbc1dirnameHtmlsafe_àŽ¶àµàŽàŽ°àŽ àŽžàŽàŽ°àŽàµàŽ·àŽ¿àŽàµàŽàŽªàµàŽªàµàŽàµàŽàŽ€àµ àŽŠàµàŽ°àµàŽ¬àŽ²àŽ®àŽŸàŽàµàŽàŽªàµàŽªàµàŽàµàŽàŽ€àµ àŽàŽ£àµ. àŽšàµàŽàµàŽàŽàŽàµàŽ¯àµàŽ¯àŽ²àµ àŽ±àŽŠàµàŽŠàµàŽàµàŽ¯àµàŽ¯àµàŽšàµàŽšàµ}  
+
+_textdelsuc_ [l=ml] {_cgiargbc1dirnameHtmlsafe_àŽ¶àµàŽàŽ°àŽ àŽµàŽ¿àŽàŽ¯àŽàŽ°àŽ®àŽŸàŽ¯àŽ¿ àŽšàµàŽàµàŽàŽ àŽàµàŽ¯àµâàŽ€àµ}  
+
+_textclonefail_ [l=ml] {àŽªàµàŽ€àŽ¿àŽ¯ _cgiargclonecolHtmlsafe_ àŽ¶àµàŽàŽ°àŽ àŽàµàŽ²àµàŽ£àµ àŽàµàŽ¯àµàŽ¯àŽŸàŽšàµ àŽàŽŽàŽ¿àŽàµàŽàŽ¿àŽ²àµàŽ².  
 àŽ
 àŽ€àŽ¿àŽšàµàŽ³àµàŽ³ àŽàŽŸàŽ°àŽ£àŽàµàŽàŽ³àµ  <ul> 
-<li> _cgiargclonecol_àŽ¶àµàŽàŽ°àŽ àŽšàŽ¿àŽ²àŽµàŽ¿àŽ²àŽ¿àŽ²àµàŽ² 
-<li>_cgiargclonecol_ àŽ¶àµàŽàŽ°àŽ€àµàŽ€àŽ¿àŽšàµ collect.cfg àŽàŽ²àŽàµàŽ·àµàŽšàµ àŽàµàŽ£àµàŽ«àŽ¿àŽàŽ±àµàŽ·àŽšàµ àŽ«àŽ¯àŽ²àµ àŽàŽ£àµàŽàŽŸàŽ¯àŽ¿àŽ°àŽ¿àŽàµàŽàŽ¿àŽ²àµàŽ² 
+<li> _cgiargclonecolHtmlsafe_àŽ¶àµàŽàŽ°àŽ àŽšàŽ¿àŽ²àŽµàŽ¿àŽ²àŽ¿àŽ²àµàŽ² 
+<li>_cgiargclonecolHtmlsafe_ àŽ¶àµàŽàŽ°àŽ€àµàŽ€àŽ¿àŽšàµ collect.cfg àŽàŽ²àŽàµàŽ·àµàŽšàµ àŽàµàŽ£àµàŽ«àŽ¿àŽàŽ±àµàŽ·àŽšàµ àŽ«àŽ¯àŽ²àµ àŽàŽ£àµàŽàŽŸàŽ¯àŽ¿àŽ°àŽ¿àŽàµàŽàŽ¿àŽ²àµàŽ² 
 <li> àŽªàµàŽ°àŽžàµàŽ€àµàŽ€ collect.cfg àŽ«àŽ¯àŽ²àµ àŽµàŽŸàŽ¯àŽ¿àŽàµàŽàŽŸ àŽàµàŽ°àµàŽžàµàŽ±àµàŽ±àµàŽ£àŽ¿àŽšàµ àŽ
 àŽšàµàŽ®àŽ€àŽ¿àŽ¯àµàŽ£àµàŽàŽŸàŽ¯àŽ¿àŽ°àŽ¿àŽàµàŽàŽ¿àŽ²àµàŽ²</ul>}  
@@ -439,5 +439,5 @@
 _textreloaderror_ [l=ml] {àŽªàµàŽ€àŽ¿àŽ¯ àŽ¶àµàŽàŽ°àŽšàŽ¿àŽ°àµâàŽ®àµàŽ®àŽŸàŽ£àŽ€àµàŽ€àŽ¿àŽšàŽ¿àŽàŽ¯àŽ¿àŽ²àµâ àŽàŽ°àµ àŽªàŽ¿àŽŽàŽµàµ àŽªàŽ±àµàŽ±àŽ¿. àŽ€àŽŸàŽàµàŽàŽ³àµàŽàµ àŽ¬àµàŽ°àµàŽžàŽ±àŽ¿àŽ²àµ "reload", "back" àŽ¬àŽàµàŽàŽ£àµàŽàŽ³àµàŽàµ àŽàŽªàŽ¯àµàŽàŽ€àµàŽ€àµàŽªàµàŽªàŽ±àµàŽ±àŽ¿ àŽàµàŽ°àµàŽžàµàŽ±àµàŽ±àµàŽ£àŽ¿àŽšàµ àŽžàŽàŽ­àŽµàŽ¿àŽàµàŽ àŽ§àŽŸàŽ°àŽ£àŽŸàŽªàŽ¿àŽ¶àŽàµ àŽ®àµàŽ²àŽ®àŽŸàŽµàŽŸàŽ àŽàŽ€àµâ. (àŽ¶àµàŽàŽ°àŽšàŽ¿àŽ°àµâàŽ®àµàŽ®àŽŸàŽ£ àŽµàµàŽ³àŽ¯àŽ¿àŽ²àµâ àŽ àŽ¬àŽàµàŽàŽ£àµàŽàŽ³àµàŽàµ àŽàŽªàŽ¯àµàŽàŽ àŽàŽŽàŽ¿àŽµàŽŸàŽàµàŽàŽŸàŽšàµâ àŽ¶àµàŽ°àŽŠàµàŽ§àŽ¿àŽàµàŽàµàŽ). àŽàŽ²àŽàµàŽàŽ°àµâ àŽàŽŠàµàŽ¯àŽ®àµ àŽàŽ°àŽàŽ­àŽ¿àŽàµàŽàµàŽµàŽŸàŽšàµâ àŽ¶àµàŽªàŽŸàŽ°àµâàŽ¶àŽàµàŽ¯àµàŽ¯àµàŽšàµàŽšàµ. }  
 
-_textexptsuc_ [l=ml] {_cgiargbc1dirname_ àŽ¶àµàŽàŽ°àŽ àŽµàŽ¿àŽàŽ¯àŽàŽ°àŽ®àŽŸàŽ¯àŽ¿  _gsdlhome_/tmp/exported\__cgiargbc1dirname_  àŽ¡àŽ¯àŽ±àŽàµàŽàŽ±àŽ¿àŽ¯àŽ¿àŽ²àµàŽàµàŽàµ àŽàŽàµàŽžàµàŽªàµàŽ°àµàŽàµàŽàµàŽàµàŽ¯àµàŽ€àµ.}  
+_textexptsuc_ [l=ml] {_cgiargbc1dirnameHtmlsafe_ àŽ¶àµàŽàŽ°àŽ àŽµàŽ¿àŽàŽ¯àŽàŽ°àŽ®àŽŸàŽ¯àŽ¿  _gsdlhome_/tmp/exported\__cgiargbc1dirnameHtmlsafe_  àŽ¡àŽ¯àŽ±àŽàµàŽàŽ±àŽ¿àŽ¯àŽ¿àŽ²àµàŽàµàŽàµ àŽàŽàµàŽžàµàŽªàµàŽ°àµàŽàµàŽàµàŽàµàŽ¯àµàŽ€àµ.}  
 
 _textexptfail_ [l=ml] {<p>àŽ¶àµàŽàŽ°àŽ àŽàŽàµàŽžàµàŽªàµàŽ°àµàŽàµàŽàµàŽàµàŽ¯àµàŽ¯àµàŽšàµàŽšàŽ€àŽ¿àŽ²àµ àŽªàŽ°àŽŸàŽàŽ¯àŽ 
Index: main/trunk/greenstone2/macros/maori.dm
===================================================================
--- main/trunk/greenstone2/macros/maori.dm	(revision 28887)
+++ main/trunk/greenstone2/macros/maori.dm	(revision 28888)
@@ -256,5 +256,5 @@
 # 'No matches for query: querystring', depending on whether or not there were
 # any matches
-_textquerytitle_ [l=mi] {_If_(_thislast_,kitenga _thisfirst_ - _thislast_ mÅ te rapu: _cgiargq_,kÄore he kitenga mÅ: _cgiargq_)}
+_textquerytitle_ [l=mi] {_If_(_thislast_,kitenga _thisfirst_ - _thislast_ mÅ te rapu: _cgiargqHtmlsafe_,kÄore he kitenga mÅ: _cgiargqHtmlsafe_)}
 _textnoquerytitle_ [l=mi] {WhÄrangi rapu}
 
Index: main/trunk/greenstone2/macros/marathi.dm
===================================================================
--- main/trunk/greenstone2/macros/marathi.dm	(revision 28887)
+++ main/trunk/greenstone2/macros/marathi.dm	(revision 28888)
@@ -73,5 +73,5 @@
 _textdescrpref_ [l=mr] {à€ªà¥à€°à€Ÿà€§à€Ÿà€šà¥à€¯ à€ªà€Ÿà€š}  
 _textdescrlogin_ [l=mr] {à€²à¥à€ à€à€š à€ªà€Ÿà€š }  
-_textdescrlogout_ [l=mr] {à€¬à€Ÿà€¹à¥à€° à€ªà€¡à€Ÿ _cgiargun_}  
+_textdescrlogout_ [l=mr] {à€¬à€Ÿà€¹à¥à€° à€ªà€¡à€Ÿ _cgiargunHtmlsafe_}  
 
 _textdescrgreenstone_ [l=mr] {à€à¥à€°à¥à€šà€žà¥à€à¥à€š à€¡à€¿à€à¥à€à€² à€²à€Ÿà€¯à€¬à¥à€°à€°à¥  à€žà¥à€«à¥à€à€µà¥à€
@@ -216,5 +216,5 @@
 _linktextPREFERENCES_ [l=mr] {à€ªà¥à€°à€Ÿà€§à€Ÿà€šà¥à€¯}  
 _linktextLOGIN_ [l=mr] {à€²à¥à€ à€à€š }  
-_linktextLOGGEDIN_ [l=mr] {(à€à€ªà€­à¥à€à¥à€€à€Ÿ _cgiargun_)}  
+_linktextLOGGEDIN_ [l=mr] {(à€à€ªà€­à¥à€à¥à€€à€Ÿ _cgiargunHtmlsafe_)}  
 _linktextLOGOUT_ [l=mr] {à€²à¥à€ à€à€à€}  
 
Index: main/trunk/greenstone2/macros/marathi2.dm
===================================================================
--- main/trunk/greenstone2/macros/marathi2.dm	(revision 28887)
+++ main/trunk/greenstone2/macros/marathi2.dm	(revision 28888)
@@ -91,5 +91,5 @@
 # should have arguments of collection, collectionname and link
 _foundintcontent_ [l=mr] {<h3>à€²à€¿à€à€ "_2_" à€žà€à€à¥à€°à€¹</h3>  <p> à€€à¥à€®à¥à€¹à¥ à€šà€¿à€µà€¡à€²à¥à€²à¥ à€²à€¿à€à€ à€¹à¥  "_collectionname_" à€¬à€Ÿà€¹à¥à€°à¥à€² à€à€¹à¥     à€žà€à€à¥à€°à€¹ (à€¹à¥ à€²à€¿à€à€ "_2_"  à€žà€à€à¥à€°à€¹).    à€à€° à€€à¥à€®à¥à€¹à€Ÿà€à€²à€Ÿ à€¹à¥ à€²à€¿à€à€  à€žà€à€à¥à€°à€¹ "_2_" à€®à€§à¥à€¯à¥ à€Šà€Ÿà€à€µà€Ÿà€¯à€à¥ à€
-à€žà¥à€²      <a href="_httpdoc_&c=_1_&cl=_cgiargcl_&d=_3_">à€¯à€Ÿ à€ªà€Ÿà€šà€Ÿà€µà€°à¥à€š</a> à€ªà¥à€¢à¥ à€à€Ÿ ;     à€à€¿à€à€µà€Ÿ à€€à¥à€®à€à¥à€¯à€Ÿ à€¬à¥à€°à€Ÿà€à€à€°à€µà€°à¥à€² à€®à€Ÿà€à¥ à€¹à€¯à€Ÿ à€¬à€à€šà€Ÿà€µà¥à€Šà€Ÿà€°à¥ à€à€§à¥à€à¥à€¯à€Ÿ à€ªà€Ÿà€šà€Ÿà€µà€° à€¯à€Ÿ }  
+à€žà¥à€²      <a href="_httpdoc_&c=_1_&cl=_cgiargclUrlsafe_&d=_3_">à€¯à€Ÿ à€ªà€Ÿà€šà€Ÿà€µà€°à¥à€š</a> à€ªà¥à€¢à¥ à€à€Ÿ ;     à€à€¿à€à€µà€Ÿ à€€à¥à€®à€à¥à€¯à€Ÿ à€¬à¥à€°à€Ÿà€à€à€°à€µà€°à¥à€² à€®à€Ÿà€à¥ à€¹à€¯à€Ÿ à€¬à€à€šà€Ÿà€µà¥à€Šà€Ÿà€°à¥ à€à€§à¥à€à¥à€¯à€Ÿ à€ªà€Ÿà€šà€Ÿà€µà€° à€¯à€Ÿ }  
 
 
@@ -109,5 +109,5 @@
 _textpassword_ [l=mr] {à€à¥à€£à¥à€à€Ÿ à€¶à€¬à¥à€Š}  
 
-_textmustbelongtogroup_ [l=mr] {à€žà¥à€à€šà€Ÿ  "_cgiargug_" à€€à¥à€®à¥à€¹à¥ à€¯à€Ÿ à€à€à€Ÿà€à¥ à€
+_textmustbelongtogroup_ [l=mr] {à€žà¥à€à€šà€Ÿ  "_cgiargugHtmlsafe_" à€€à¥à€®à¥à€¹à¥ à€¯à€Ÿ à€à€à€Ÿà€à¥ à€
 à€žà€²à¥à€¯à€Ÿà€žà€ à€¹à¥ à€ªà€Ÿà€š à€ªà€Ÿà€¹à¥ à€¶à€à€€à€Ÿ}  
 
@@ -326,5 +326,5 @@
 _textretcoll_ [l=mr] {à€žà€à€à¥à€°à€¹à€à€Ÿà€à€¡à¥ à€ªà€°à€€ à€¯à€Ÿ}  
 
-_textdelperm_ [l=mr] {à€žà€à€³à¥ à€à€¿à€à€µà€Ÿ à€à€Ÿà€¹à¥   _cgiargbc1dirname_ à€žà€à€à¥à€°à€¹à€à¥à€¡à€²à€Ÿ à€à¥à€²à€Ÿ à€šà€Ÿà€¹à¥   à€à€Ÿà€°à€£: <ul> <li>à€à¥à€°à¥à€šà€žà¥à€à¥à€šà€²à€Ÿ à€¹à¥ à€à€°à€£à¥à€¯à€Ÿà€à¥ à€ªà€°à€µà€Ÿà€šà€à¥ à€šà€Ÿà€¹à¥ _gsdlhome_/collect/_cgiargbc1dirname_ directory.<br>à€€à¥à€®à¥à€¹à¥ à€žà€à€à€£à€à€Ÿà€µà€°à¥à€š à€¹à¥ à€«à€Ÿà€à€² à€à€Ÿà€¢à¥à€š à€à€Ÿà€à€Ÿ, _cgiargbc1dirname_ collection from this computer.</li> <li>à€à¥à€°à¥à€šà€žà¥à€à¥à€š à€¹à€Ÿ à€à€Ÿà€°à¥à€¯à€à¥à€°à€® à€à€Ÿà€²à€µà¥ à€¶à€à€€ à€šà€Ÿà€¹à¥ _gsdlhome_/bin/script/delcol.pl. à€à€Ÿà€€à¥à€°à¥ à€à€°à€Ÿ à€à¥ à€¹à€¿ à€«à€Ÿà€à€² à€µà€Ÿà€à€šà€¿à€¯ à€µ à€¯à¥à€à¥à€¯ à€à€¹à¥.</li> </ul> }  
+_textdelperm_ [l=mr] {à€žà€à€³à¥ à€à€¿à€à€µà€Ÿ à€à€Ÿà€¹à¥   _cgiargbc1dirnameHtmlsafe_ à€žà€à€à¥à€°à€¹à€à¥à€¡à€²à€Ÿ à€à¥à€²à€Ÿ à€šà€Ÿà€¹à¥   à€à€Ÿà€°à€£: <ul> <li>à€à¥à€°à¥à€šà€žà¥à€à¥à€šà€²à€Ÿ à€¹à¥ à€à€°à€£à¥à€¯à€Ÿà€à¥ à€ªà€°à€µà€Ÿà€šà€à¥ à€šà€Ÿà€¹à¥ _gsdlhome_/collect/_cgiargbc1dirnameHtmlsafe_ directory.<br>à€€à¥à€®à¥à€¹à¥ à€žà€à€à€£à€à€Ÿà€µà€°à¥à€š à€¹à¥ à€«à€Ÿà€à€² à€à€Ÿà€¢à¥à€š à€à€Ÿà€à€Ÿ, _cgiargbc1dirnameHtmlsafe_ collection from this computer.</li> <li>à€à¥à€°à¥à€šà€žà¥à€à¥à€š à€¹à€Ÿ à€à€Ÿà€°à¥à€¯à€à¥à€°à€® à€à€Ÿà€²à€µà¥ à€¶à€à€€ à€šà€Ÿà€¹à¥ _gsdlhome_/bin/script/delcol.pl. à€à€Ÿà€€à¥à€°à¥ à€à€°à€Ÿ à€à¥ à€¹à€¿ à€«à€Ÿà€à€² à€µà€Ÿà€à€šà€¿à€¯ à€µ à€¯à¥à€à¥à€¯ à€à€¹à¥.</li> </ul> }  
 
 _textdelinv_ [l=mr] {à€žà€à€à¥à€°à€¹ à€¹à€Ÿ à€žà€à€°à€à¥à€·à€¿à€€ à€à¥à€²à€Ÿ à€à€¹à¥ à€à€¿à€à€µà€Ÿ à€€à¥ à€šà€¿à€°à¥à€ªà€¯à¥à€à¥ à€à€¹à¥.à€à¥à€¡à€²à¥à€²à¥ à€°à€Šà¥à€Š à€à€Ÿà€²à¥}  
@@ -332,6 +332,6 @@
 _textdelsuc_ [l=mr] {à€žà€à€à¥à€°à€¹  à€¯à€¶à€žà¥à€µà¥à€ªà€£à¥ à€à¥à€¡à€²à€Ÿ à€à¥à€²à€Ÿ à€à€¹à¥.}  
 
-_textclonefail_ [l=mr] {à€žà€à€à¥à€°à€¹ à€ªà¥à€°à¥à€£ à€šà€žà€£à¥à€¯à€Ÿà€à¥ à€à€Ÿà€°à€£à¥                                        The _cgiargclonecol_à€žà€à€à¥à€°à€¹ à€Šà€¿à€žà€€ à€šà€Ÿà€¹à¥ à€à€Ÿà€°à€£ : <ul> <li> The _cgiargclonecol_à€žà€ à€à¥à€°à€¹ à€
-à€žà¥à€€à€¿à€€à¥à€µà€Ÿà€€ à€šà€Ÿà€¹à¥  <li> The _cgiargclonecol_ à€žà€à€à¥à€°à€¹à€Ÿà€²à€Ÿ à€žà¥à€«à€à¥ à€à¥à€šà¥à€«à€¿à€à€°à¥à€¶à€š à€«à€Ÿà€à€² à€šà€Ÿà€¹à¥ <li> à€à¥à€°à¥à€šà€žà¥à€à¥à€šà€²à€Ÿ à€¹à€¿ à€žà€¿ à€à€« à€à¥ à€µà€Ÿà€à€£à¥à€¯à€Ÿà€à¥ à€ªà€°à€µà€Ÿà€šà€à¥ à€šà€Ÿà€¹à¥. </ul> }  
+_textclonefail_ [l=mr] {à€žà€à€à¥à€°à€¹ à€ªà¥à€°à¥à€£ à€šà€žà€£à¥à€¯à€Ÿà€à¥ à€à€Ÿà€°à€£à¥                                        The _cgiargclonecolHtmlsafe_à€žà€à€à¥à€°à€¹ à€Šà€¿à€žà€€ à€šà€Ÿà€¹à¥ à€à€Ÿà€°à€£ : <ul> <li> The _cgiargclonecolHtmlsafe_à€žà€ à€à¥à€°à€¹ à€
+à€žà¥à€€à€¿à€€à¥à€µà€Ÿà€€ à€šà€Ÿà€¹à¥  <li> The _cgiargclonecolHtmlsafe_ à€žà€à€à¥à€°à€¹à€Ÿà€²à€Ÿ à€žà¥à€«à€à¥ à€à¥à€šà¥à€«à€¿à€à€°à¥à€¶à€š à€«à€Ÿà€à€² à€šà€Ÿà€¹à¥ <li> à€à¥à€°à¥à€šà€žà¥à€à¥à€šà€²à€Ÿ à€¹à€¿ à€žà€¿ à€à€« à€à¥ à€µà€Ÿà€à€£à¥à€¯à€Ÿà€à¥ à€ªà€°à€µà€Ÿà€šà€à¥ à€šà€Ÿà€¹à¥. </ul> }  
 
 _textcolerr_ [l=mr] {à€žà€à€à¥à€°à€¹à€ à€à¥à€}  
@@ -351,7 +351,7 @@
 à€žà€€à€Ÿà€šà€Ÿ à€¯à€Ÿ à€¬à€à€šà€Ÿà€à€à€Ÿ à€à€ªà€¯à¥à€ à€à€°à¥ à€šà€à€Ÿ).  à€¯à€Ÿà€®à¥à€³à¥ à€€à¥à€®à¥à€¹à€Ÿà€²à€Ÿ à€žà€à€³à€Ÿ  à€žà€à€à¥à€°à€Ÿà€¹à€ à€ªà¥à€šà¥à€¹à€Ÿ à€žà¥à€°à¥à€µà€Ÿà€€à¥à€ªà€Ÿà€žà¥à€š à€€à€¯à€Ÿà€° à€à€°à€µà€Ÿ à€²à€Ÿà€à¥à€². }  
 
-_textexptsuc_ [l=mr] {The _cgiargbc1dirname_ à€žà€à€à¥à€° à€¯à€¶à€žà¥à€µà¥à€°à€¿à€€à¥à€¯à€Ÿ à€ªà€Ÿà€ à€µà€¿à€²à€Ÿ à€à€¹à¥ _gsdlhome_/tmp/exported\__cgiargbc1dirname_ à€Šà€°à¥à€¶à€¿à€à€Ÿà€à¥ à€šà€Ÿà€µ. }  
-
-_textexptfail_ [l=mr] {<p>à€ªà€Ÿà€ à€µà€¿à€²à€Ÿ à€à¥à€²à€Ÿ à€šà€Ÿà€¹à¥ _cgiargbc1dirname_ à€žà€à€à¥à€°à€¹.         <p>à€žà€à€à¥à€°à€¹  à€ªà€Ÿà€ à€µà€¿à€²à€Ÿ à€à¥à€²à€Ÿ à€šà€Ÿà€¹à¥  à€à€Ÿà€°à€£ à€à¥à€°à¥à€šà€žà¥à€à¥à€š à€à€šà¥à€à¥à€² à€à€°à€€à€Ÿà€š à€žà€à€à¥à€°à€¹  à€ªà€Ÿà€ à€µà€¿à€£à¥à€¯à€Ÿà€à€°à¥à€€ à€à€µà€¶à¥à€¯à€ à€
+_textexptsuc_ [l=mr] {The _cgiargbc1dirnameHtmlsafe_ à€žà€à€à¥à€° à€¯à€¶à€žà¥à€µà¥à€°à€¿à€€à¥à€¯à€Ÿ à€ªà€Ÿà€ à€µà€¿à€²à€Ÿ à€à€¹à¥ _gsdlhome_/tmp/exported\__cgiargbc1dirnameHtmlsafe_ à€Šà€°à¥à€¶à€¿à€à€Ÿà€à¥ à€šà€Ÿà€µ. }  
+
+_textexptfail_ [l=mr] {<p>à€ªà€Ÿà€ à€µà€¿à€²à€Ÿ à€à¥à€²à€Ÿ à€šà€Ÿà€¹à¥ _cgiargbc1dirnameHtmlsafe_ à€žà€à€à¥à€°à€¹.         <p>à€žà€à€à¥à€°à€¹  à€ªà€Ÿà€ à€µà€¿à€²à€Ÿ à€à¥à€²à€Ÿ à€šà€Ÿà€¹à¥  à€à€Ÿà€°à€£ à€à¥à€°à¥à€šà€žà¥à€à¥à€š à€à€šà¥à€à¥à€² à€à€°à€€à€Ÿà€š à€žà€à€à¥à€°à€¹  à€ªà€Ÿà€ à€µà€¿à€£à¥à€¯à€Ÿà€à€°à¥à€€ à€à€µà€¶à¥à€¯à€ à€
 à€žà€£à€Ÿà€°à¥à€¯à€Ÿ à€ªà¥à€°à€à¥à€°à€¿à€¯à¥à€à¥ à€à€à€ à€šà€Ÿà€¹à¥à€€        <ul>          <li>à€à€° à€€à¥à€®à¥à€¹à¥ à€žà¥à€¡à¥à€µà¥à€Šà€Ÿà€°à¥ à€à€šà¥à€žà¥à€à¥à€²à¥à€¶à€š à€à€°à€£à€Ÿà€° à€
 à€žà€Ÿà€² à€€à€° "à€à€žà¥à€à€® à€à€šà¥à€žà¥à€à¥à€²à¥à€¶à€š" à€¯à€Ÿ à€à€à€à€Ÿà€à¥ à€šà€¿à€µà€¡ à€à€°à¥à€š "à€à€šà¥à€žà¥à€à¥à€²à¥à€¶à€š" à€à¥ à€ªà¥à€°à€à¥à€°à€¿à€¯à€Ÿ à€ªà¥à€šà¥à€¹à€Ÿ à€à€°à€Ÿ          <li>à€à€° à€€à¥à€®à¥à€¹à¥ à€µà¥à€¬ à€µà€¿à€€à€°à€à€Ÿà€à€¡à¥à€š à€à¥à€°à¥à€šà€žà¥à€à¥à€š à€¡à€Ÿà€à€šà€²à¥à€¡ à€à€°à€£à€Ÿà€° à€
@@ -530,5 +530,5 @@
 
 _textdeleteuser_ [l=mr] {à€à€ªà€¯à¥à€à€ à€à€Ÿà€¢à¥à€š à€à€Ÿà€à€Ÿ.}  
-_textremwarn_ [l=mr] {à€€à¥à€®à¥à€¹à€Ÿà€²à€Ÿ à€à€°à¥à€ à€à€ªà€¯à¥à€à€ à€à€Ÿà€¢à€Ÿà€µà€¯à€Ÿà€à€Ÿ à€à€¹à¥<b>_cgiargumun_</b>?}  
+_textremwarn_ [l=mr] {à€€à¥à€®à¥à€¹à€Ÿà€²à€Ÿ à€à€°à¥à€ à€à€ªà€¯à¥à€à€ à€à€Ÿà€¢à€Ÿà€µà€¯à€Ÿà€à€Ÿ à€à€¹à¥<b>_cgiargumunHtmlsafe_</b>?}  
 
 
Index: main/trunk/greenstone2/macros/mongolian.dm
===================================================================
--- main/trunk/greenstone2/macros/mongolian.dm	(revision 28887)
+++ main/trunk/greenstone2/macros/mongolian.dm	(revision 28888)
@@ -514,8 +514,8 @@
 # 'No matches for query: querystring', depending on whether or not there were
 # any matches
-_textquerytitle_ [l=mn] {_If_(_thislast_,results _thisfirst_ - _thislast_ for query: _cgiargq_,Ð¥Ð°Ð¹Ð»ÑÐ°ÐœÐŽ ÑÐŸÑ
+_textquerytitle_ [l=mn] {_If_(_thislast_,results _thisfirst_ - _thislast_ for query: _cgiargqHtmlsafe_,Ð¥Ð°Ð¹Ð»ÑÐ°ÐœÐŽ ÑÐŸÑ
 ÐžÑÐŸÑ
  Ñ
-Ð°ÑÐžÑ ÐŸÐ»ÐŽÑÐŸÐœÐ³Ò¯Ð¹: _cgiargq_)}
+Ð°ÑÐžÑ ÐŸÐ»ÐŽÑÐŸÐœÐ³Ò¯Ð¹: _cgiargqHtmlsafe_)}
 _textnoquerytitle_ [l=mn] {Ð¥Ð°Ð¹Ð»ÑÑÐœ Ñ
 ÑÑÐŽÐ°Ñ}
